const { colors } = require('../colors');
const { shadows } = require('../../../src');

const inputStyles = {
  background: colors.white,
  color: colors['gray-800'],
  border: colors['gray-200'],
  boxShadow: shadows.inner['inner-shadow-1'],
  placeholder: {
    color: colors['gray-400'],
  },
  hover: {
    border: colors['gray-300'],
  },
  active: {
    border: colors['blue-500'],
  },
  disabled: {
    color: colors['gray-400'],
    background: colors['gray-50'],
  },
  focus: {
    border: colors['blue-500'],
  },
  helper: {
    background: colors['gray-800'],
  },
  warning: {
    color: colors['orange-500'],
  },
  error: {
    border: colors['maple-500'],
    color: colors['maple-500'],
  },
  valid: {
    color: colors['green-700'],
  },
  readonly: {
    color: colors['gray-800'],
    background: colors['gray-50'],
  },
  label: {
    color: colors['gray-800'],
  },
  autofilled: {
    background: colors.white,
    color: colors['gray-800'],
  },
  autocomplete: {
    border: colors['gray-200'],
    controlDropdownIndicator: {
      color: colors['gray-50'],
    },
    controlHover: {
      border: colors['gray-300'],
    },
    indicator: {
      color: colors['gray-200'],
    },
    optionSelected: {
      background: colors['gray-50'],
      color: colors['gray-800'],
    },
    multiValue: {
      color: colors['gray-800'],
      background: colors.white,
      backgroundDisabled: colors.white,
      border: colors['gray-100'],
      borderDisabled: colors['gray-100'],
    },
    multiValueLabel: {
      color: colors['gray-800'],
      colorDisabled: colors['gray-800'],
    },
    multiValueRemove: {
      color: '',
      colorDisabled: colors.night,
    },
  },
};

module.exports = { inputStyles };
